English
Appearance
Returns top-level comments for a project, ordered by creation time. Uses cursor pagination.
const comments = await client.comments.listForProject("bdbff5de-96d7-468f-9db0-85fe28bd6b62");
youvico comment list --project bdbff5de-96d7-468f-9db0-85fe28bd6b62
curl 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/comments' \ -H 'Authorization: Bearer YOUR_API_KEY'
{ "data": [ { "id": "2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6", "content": "Project brief is ready for review.", "anchor": null, "duration": null, "createdAt": "2026-04-10 08:00:00.000000", "updatedAt": "2026-04-10 08:10:00.000000", "attachments": [], "author": { "id": "f6035d1a-29df-4d80-8d72-f1bbdddfb6ff", "name": "Jin Seo", "avatarUrl": "https://cdn.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif" } } ], "page": { "next": null, "prev": "MjAyNi0wNC0xMFQwODowMDowMC4wMDBa" } }
INFO
Deleted top-level project comments may still appear if they have surviving replies. When a deleted comment is returned, content, anchor, duration, and author are null, and attachments is an empty array.
content
anchor
duration
author
null
attachments
id
string
next
prev
If neither next nor prev is specified, the 25 most recently created project comments are returned.
Returns 200 OK.
200 OK
data
array
data[].id
Example: 2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6
2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6
data[].content
string?
Example: Project brief is ready for review.
Project brief is ready for review.
data[].anchor
number?
Example: null
data[].duration
data[].createdAt
Example: 2026-04-10 08:00:00.000000
2026-04-10 08:00:00.000000
data[].updatedAt
Example: 2026-04-10 08:10:00.000000
2026-04-10 08:10:00.000000
data[].attachments
data[].attachments[].id
Example: CA1234567890ABCD
CA1234567890ABCD
data[].attachments[].name
Example: review-note.pdf
review-note.pdf
data[].attachments[].url
Example: https://cdn.youvico.com/workspaces/6ba7b810-9dad-11d1-80b4-00c04fd430c8/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/comments/CA1234567890ABCD/A1b2C3d4E5f6G7h8.pdf
https://cdn.youvico.com/workspaces/6ba7b810-9dad-11d1-80b4-00c04fd430c8/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/comments/CA1234567890ABCD/A1b2C3d4E5f6G7h8.pdf
data[].attachments[].mimeType
Example: application/pdf
application/pdf
data[].attachments[].size
number
Example: 1250000
1250000
data[].author
object?
data[].author.id
Example: f6035d1a-29df-4d80-8d72-f1bbdddfb6ff
f6035d1a-29df-4d80-8d72-f1bbdddfb6ff
data[].author.name
Example: Jin Seo
Jin Seo
data[].author.avatarUrl
Example: https://cdn.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif
https://cdn.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif
page
object
page.next
page.prev
Example: MjAyNi0wNC0xMFQwODowMDowMC4wMDBa
MjAyNi0wNC0xMFQwODowMDowMC4wMDBa
List Project Comments Tier 4
Returns top-level comments for a project, ordered by creation time. Uses cursor pagination.
Example
INFO
Deleted top-level project comments may still appear if they have surviving replies. When a deleted comment is returned,
content,anchor,duration, andauthorarenull, andattachmentsis an empty array.Request
Path
idstringrequiredQuery
nextstringprevstringINFO
If neither
nextnorprevis specified, the 25 most recently created project comments are returned.Response
Returns
200 OK.dataarraydata[].idstringExample:
2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6data[].contentstring?Example:
Project brief is ready for review.data[].anchornumber?Example:
nulldata[].durationnumber?Example:
nulldata[].createdAtstringExample:
2026-04-10 08:00:00.000000data[].updatedAtstringExample:
2026-04-10 08:10:00.000000data[].attachmentsarraydata[].attachments[].idstringExample:
CA1234567890ABCDdata[].attachments[].namestringExample:
review-note.pdfdata[].attachments[].urlstringExample:
https://cdn.youvico.com/workspaces/6ba7b810-9dad-11d1-80b4-00c04fd430c8/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/comments/CA1234567890ABCD/A1b2C3d4E5f6G7h8.pdfdata[].attachments[].mimeTypestring?Example:
application/pdfdata[].attachments[].sizenumberExample:
1250000data[].authorobject?data[].author.idstringExample:
f6035d1a-29df-4d80-8d72-f1bbdddfb6ffdata[].author.namestringExample:
Jin Seodata[].author.avatarUrlstring?Example:
https://cdn.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avifpageobjectpage.nextstring?Example:
nullpage.prevstring?Example:
MjAyNi0wNC0xMFQwODowMDowMC4wMDBa